#!/usr/bin/perl -w
# 
# sb::Data::Amazon - Module for Serene Bach
# == written by T.Otani <ootani@segausers.gr.jp> ===
# == Copyright (C) 2004 SimpleBoxes/SerendipityNZ ==

package sb::Data::Amazon;

use strict;

# ==================================================
# // module version
# ==================================================
use vars qw( $VERSION @ISA );
$VERSION = '0.00';
# 0.00 [2005/02/02] 

# ==================================================
# // configuration for inheritance / dependancy
# ==================================================
use sb::Data::Object ();
@ISA = qw( sb::Data::Object );
# ==================================================
# // declaration for constant value
# ==================================================
# ==================================================
# // declaration for data structure
# ==================================================
my %mStruct = (
	'content_list' => [
		'id',    # id
		'wid',   # wid
		'pid',   #  id
		'order', # ¤ӽ
		'stat',  # ơ
		'name',  # ̾
		'cat',   # 
		'cre',   # ꥨ
		'days',  # ȯ
		'make',  # ᡼
		'ism',   # ᡼()
		'imd',   # ᡼()
		'ilg',   # ᡼()
		'ava',   # 
		'lpr',   # ˾
		'opr',   # 
		'msg',   # 
		'url',   # ɥ쥹
		'date',  # ɲ
		'tz',    # ॾ
	],
);
# ==================================================
# // constructor
# ==================================================
sub alloc {
	my $class = shift;
	return $class->SUPER::alloc( @_, %mStruct );
}
# ==================================================
# // public functions
# ==================================================
sub formated_item {
	my $self = shift;
	my $url   = $self->url;
	my $image = $self->imd;
	my $name  = $self->name;
	my $maker = $self->make;
	my $msg   = sb::Text->format('text'=>$self->msg,'form'=>1);
	return <<"__AMAZON_ITEM__";
<div class=\"amazon\">
<a href=\"$url\" target=\"_blank\"><img src=\"$image\" alt=\"$name\" class=\"amazon_pict\" /></a>
<div class=\"amazon_text\">
<a href=\"$url\" target=\"_blank\"><strong>$name</strong></a><br />
$maker<br />$msg</div>
</div>
__AMAZON_ITEM__
}
sub initialize {
	my $self  = shift;
	my %param = @_;
	$param{'wid'} |= 0;
	$param{'pid'} |= 0;
	$param{'stat'} |= 0;
	$param{'order'} = $self->id;
	$self->SUPER::initialize(%param);
}
1;
__END__
