#!/usr/bin/perl -w
# 
# sb::Data::Session - Module for Serene Bach
# == written by T.Otani <ootani@segausers.gr.jp> ===
# == Copyright (C) 2004 SimpleBoxes/SerendipityNZ ==

package sb::Data::Session;

use strict;

# ==================================================
# // module version
# ==================================================
use vars qw( $VERSION @ISA );
$VERSION = '0.01';
# 0.01 [2005/04/18] added check_expire
# 0.00 [2005/03/15] generated

# ==================================================
# // configuration for inheritance / dependancy
# ==================================================
use sb::Data::Object ();
@ISA = qw( sb::Data::Object );
# ==================================================
# // declaration for constant value
# ==================================================
# ==================================================
# // declaration for data structure
# ==================================================
my %mStruct = (
	'content_list' => [
		'id',   # id
		'key',  # key for session
		'data', # session data
	],
);
# ==================================================
# // constructor
# ==================================================
sub alloc {
	my $class = shift;
	return $class->SUPER::alloc( @_, %mStruct );
}
# ==================================================
# // public functions
# ==================================================
sub check_expire {
	my $self = shift;
	my %param = (
		'now'      => undef,
		'duration' => undef,
		@_
	);
	if ( $param{'now'} and $param{'duration'} ) {
		my $diff_time = $param{'now'} - ( split('_',$self->data) )[0];
		return( $diff_time <= $param{'duration'} );
	}
	return( undef );
}
sub initialize {
	my $self  = shift;
	my %param = @_;
	$self->SUPER::initialize(%param);
}
1;
__END__
